## org.freedesktop.UDisks2.NVMe.Fabrics

org.freedesktop.UDisks2.NVMe.Fabrics — NVMe over Fabrics control interface

## Methods

    Disconnect (IN  a{sv} options);

## Properties

    HostNQN           readable   ay
    HostID            readable   ay
    Transport         readable   s
    TransportAddress  readable   ay

## Description

Control interface for NVMe over Fabrics connected controllers.

## Method Details

### The Disconnect() method

    Disconnect (IN  a{sv} options);

Disconnects and removes the NVMe over Fabrics controller.

`IN a{sv} `options``: | Options (currently unused except for standard options).

Since 2.10.0

## Property Details

### The "HostNQN" property

    HostNQN  readable   ay

The actual Host NQN used for the connection.

Since 2.10.0

### The "HostID" property

    HostID  readable   ay

The actual Host UUID used for the connection.

Since 2.10.0

### The "Transport" property

    Transport  readable   s

The transport type the device is connected with.

Known values include:

pcie | PCI Express Transport
rdma | RDMA Transport
fc | Fibre Channel Transport
tcp | TCP Transport
loop | Intra-host Transport (i.e., loopback)

Since 2.10.0

### The "TransportAddress" property

    TransportAddress  readable   ay

The network address of the controller. For transports using IP addressing (e.g. `rdma`) this should be an IP-based address (e.g. IPv4).

Since 2.10.0